lv.eparaksts.helpers

## Class TimeStampThread

- java.lang.Object
- - java.lang.Thread
  - - lv.eparaksts.helpers.TimeStampThread

- All Implemented Interfaces:
    Runnable

  Deprecated.

      @Deprecated
      public class TimeStampThread
      extends Thread

  `TimeStampThread` is a helper to obtain time stamps using TSA client authentication.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class java.lang.Thread

      `Thread.State, Thread.UncaughtExceptionHandler`

  - ### Field Summary

    - ### Fields inherited from class java.lang.Thread

      `MAX_PRIORITY, MIN_PRIORITY, NORM_PRIORITY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TimeStampThread(byte[] digest, X509Certificate authCert)` Deprecated.
    `TimeStampThread(byte[] digest, X509Certificate authCert, Map<String,String> timeStampRequestProperties)` Deprecated.
    `TimeStampThread(String digestAlgorithmOID, byte[] digest, X509Certificate authCert)` Deprecated.
    `TimeStampThread(String digestAlgorithmOID, byte[] digest, X509Certificate authCert, Map<String,String> timeStampRequestProperties)` Deprecated.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `byte[]` | `getAuthHash()` Deprecated. Returns hash value to be signed.
    `protected byte[]` | `getAuthSignature()` Deprecated.
    `String` | `getAuthSignatureAlgorithm()` Deprecated. Returns algorithm to be used for signing.
    `Exception` | `getException()` Deprecated.
    `byte[]` | `getTimeStamp()` Deprecated.
    `boolean` | `isCancelled()` Deprecated.
    `void` | `run()` Deprecated.
    `void` | `setAuthSignature(byte[] signature)` Deprecated.
    `void` | `setCancelled()` Deprecated.

    - ### Methods inherited from class java.lang.Thread

      `activeCount, checkAccess, clone, countStackFrames, currentThread, destroy, dumpStack, enumerate, getAllStackTraces, getContextClassLoader, getDefaultUncaughtExceptionHandler, getId, getName, getPriority, getStackTrace, getState, getThreadGroup, getUncaughtExceptionHandler, holdsLock, interrupt, interrupted, isAlive, isDaemon, isInterrupted, join, join, join, resume, setContextClassLoader, setDaemon, setDefaultUncaughtExceptionHandler, setName, setPriority, setUncaughtExceptionHandler, sleep, sleep, start, stop, stop, suspend, toString, yield`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### TimeStampThread

          public TimeStampThread(byte[] digest,
                                 X509Certificate authCert)

      Deprecated.

    - #### TimeStampThread

          public TimeStampThread(byte[] digest,
                                 X509Certificate authCert,
                                 Map<String,String> timeStampRequestProperties)

      Deprecated.

    - #### TimeStampThread

          public TimeStampThread(String digestAlgorithmOID,
                                 byte[] digest,
                                 X509Certificate authCert)

      Deprecated.

    - #### TimeStampThread

          public TimeStampThread(String digestAlgorithmOID,
                                 byte[] digest,
                                 X509Certificate authCert,
                                 Map<String,String> timeStampRequestProperties)

      Deprecated.

  - ### Method Detail

    - #### getAuthHash

          public byte[] getAuthHash()
                             throws InterruptedException

      Deprecated.
      Returns hash value to be signed.
      Throws:
        `InterruptedException`
      See Also:
        `getAuthSignatureAlgorithm()`

    - #### getAuthSignatureAlgorithm

          public String getAuthSignatureAlgorithm()

      Deprecated.
      Returns algorithm to be used for signing.
      See Also:
        `getAuthHash()`

    - #### getTimeStamp

          public byte[] getTimeStamp()
                              throws InterruptedException

      Deprecated.
      Throws:
        `InterruptedException`

    - #### isCancelled

          public boolean isCancelled()

      Deprecated.

    - #### setCancelled

          public void setCancelled()

      Deprecated.

    - #### getException

          public Exception getException()

      Deprecated.

    - #### getAuthSignature

          protected byte[] getAuthSignature()
                                     throws InterruptedException

      Deprecated.
      Throws:
        `InterruptedException`

    - #### setAuthSignature

          public void setAuthSignature(byte[] signature)

      Deprecated.

    - #### run

          public void run()

      Deprecated.
      Specified by:
        `run` in interface `Runnable`
      Overrides:
        `run` in class `Thread`

Copyright VAS Latvijas Valsts radio un televizijas centrs / Developed by SIA EUSO